<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddAddIns Method (IEdmAddInMgr5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddInMgr5 Interface : AddAddIns Method (IEdmAddInMgr5)

Visual Basic
C#
C++/CLI

bsPathList
  Linefeed-separated list of path and file names of add-in files

lEdmAddAddInFlags
  Add-in option as defined in EdmAddAddInFlags

poReserved
  Nothing or null

Installs add-ins in SOLIDWORKS PDM Professional.

# Syntax

Visual Basic |
--- | ---

    Sub AddAddIns( _
       ByVal bsPathList As System.String, _
       ByVal lEdmAddAddInFlags As System.Integer, _
       ByRef poReserved As System.Object _
    )

C# |
--- | ---

    void AddAddIns(
       System.string bsPathList,
       System.int lEdmAddAddInFlags,
       ref System.object poReserved
    )

C++/CLI |
--- | ---

    void AddAddIns(
    &   System.String^ bsPathList,
    &   System.int lEdmAddAddInFlags,
    &   System.Object^% poReserved
    )

#### Parameters

bsPathList
  Linefeed-separated list of path and file names of add-in files
lEdmAddAddInFlags
  Add-in option as defined in EdmAddAddInFlags
poReserved
  Nothing or null

# Example

See the IEdmAddInMgr5 examples.

# See Also

####

IEdmAddInMgr5 Interface
IEdmAddInMgr5 Members
IEdmAddInMgr9::RemoveAddIn Method ()

# Availability

Version 5.2 of SOLIDWORKS PDM Professional